Subject: Butterflies in SW Florida

From: Dick Walton <[email-masked]>
Date: Sun, 29 Jan 1995 09:02:29 -0500

I will be in SW Florida during February. I would appreciate hearing about any
butterfly resources or references for that area. I have Gerbert and Arnett,
Jr. as well as Minno and Emmel. Information on other books, check lists,
interesting areas to explore, ongoing field research projects would all be of
interest.

Many Thanks, Dick Walton

RWalton

E-Mail: [email-masked]